[Swift-commit] r5012 - trunk/tests/mpi/crow/long
wozniak at ci.uchicago.edu
wozniak at ci.uchicago.edu
Thu Aug 25 16:31:27 CDT 2011
Author: wozniak
Date: 2011-08-25 16:31:27 -0500 (Thu, 25 Aug 2011)
New Revision: 5012
Modified:
trunk/tests/mpi/crow/long/100-mci.check.sh
trunk/tests/mpi/crow/long/100-mci.clean.sh
trunk/tests/mpi/crow/long/100-mci.swift
trunk/tests/mpi/crow/long/sites.template.xml
trunk/tests/mpi/crow/long/tc.template.data
Log:
MPI stress test on crow now works
Modified: trunk/tests/mpi/crow/long/100-mci.check.sh
===================================================================
--- trunk/tests/mpi/crow/long/100-mci.check.sh 2011-08-25 20:37:05 UTC (rev 5011)
+++ trunk/tests/mpi/crow/long/100-mci.check.sh 2011-08-25 21:31:27 UTC (rev 5012)
@@ -2,11 +2,8 @@
set -x
-[ -f 100-output.txt ] || exit 1
+# [ -f 100-output.txt ] || exit 1
-CONTENTS1=$( cat 100-input.txt )
-CONTENTS2=$( cat 100-output.txt )
+grep -q howdy transform-*.txt || exit 1
-[[ $CONTENTS1 == $CONTENTS2 ]] || exit 1
-
exit 0
Modified: trunk/tests/mpi/crow/long/100-mci.clean.sh
===================================================================
--- trunk/tests/mpi/crow/long/100-mci.clean.sh 2011-08-25 20:37:05 UTC (rev 5011)
+++ trunk/tests/mpi/crow/long/100-mci.clean.sh 2011-08-25 21:31:27 UTC (rev 5012)
@@ -2,7 +2,6 @@
set -x
-rm -v 100-input.txt || exit 1
-rm -v 100-output.txt || exit 1
+# rm -v transform-*.txt || exit 1
exit 0
Modified: trunk/tests/mpi/crow/long/100-mci.swift
===================================================================
--- trunk/tests/mpi/crow/long/100-mci.swift 2011-08-25 20:37:05 UTC (rev 5011)
+++ trunk/tests/mpi/crow/long/100-mci.swift 2011-08-25 21:31:27 UTC (rev 5012)
@@ -1,12 +1,14 @@
type file;
-app (file o) copy(file i)
+app (file o) transform(file i)
{
- mpi_cp @i @o;
+ mpi_sleep "-i" @i "-o" @o ;
}
file input<"100-input.txt">;
-file output<"100-output.txt">;
-output = copy(input);
+foreach i in [0:4] {
+ file output<single_file_mapper;file=@strcat("transform-",i,".txt")>;
+ output = transform(input);
+}
Modified: trunk/tests/mpi/crow/long/sites.template.xml
===================================================================
--- trunk/tests/mpi/crow/long/sites.template.xml 2011-08-25 20:37:05 UTC (rev 5011)
+++ trunk/tests/mpi/crow/long/sites.template.xml 2011-08-25 21:31:27 UTC (rev 5012)
@@ -16,7 +16,7 @@
</profile>
<profile key="jobsPerNode" namespace="globus">1</profile>
<profile key="slots" namespace="globus">1</profile>
- <profile key="nodeGranularity" namespace="globus">20</profile>
+ <profile key="nodeGranularity" namespace="globus">10</profile>
<profile key="maxNodes" namespace="globus">20</profile>
<profile key="workerLoggingLevel" namespace="globus">DEBUG</profile>
<profile key="workerLoggingDirectory" namespace="globus">{wdir}</profile>
Modified: trunk/tests/mpi/crow/long/tc.template.data
===================================================================
--- trunk/tests/mpi/crow/long/tc.template.data 2011-08-25 20:37:05 UTC (rev 5011)
+++ trunk/tests/mpi/crow/long/tc.template.data 2011-08-25 21:31:27 UTC (rev 5012)
@@ -20,3 +20,4 @@
# hydra-tests-2
crow mpi_cp _DIR_/mpi-cp INSTALLED INTEL32::LINUX globus::hostCount=2
+crow mpi_sleep _DIR_/mpi-sleep INSTALLED INTEL32::LINUX globus::hostCount=2
More information about the Swift-commit
mailing list